<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="cicloActividad">
        <h2 class="jh-entity-heading" data-cy="cicloActividadDetailsHeading">
          <span v-text="$t('gatewayApp.biologicoCicloActividad.detail.title')">CicloActividad</span> {{ cicloActividad.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.biologicoCicloActividad.periodoCiclo')">Periodo Ciclo</span>
          </dt>
          <dd>
            <span>{{ cicloActividad.periodoCiclo }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoCicloActividad.cantidad')">Cantidad</span>
          </dt>
          <dd>
            <span>{{ cicloActividad.cantidad }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoCicloActividad.fechaInicioCiclo')">Fecha Inicio Ciclo</span>
          </dt>
          <dd>
            <span v-if="cicloActividad.fechaInicioCiclo">{{ $d(Date.parse(cicloActividad.fechaInicioCiclo), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoCicloActividad.biologico')">Biologico</span>
          </dt>
          <dd>
            <div v-if="cicloActividad.biologico">
              <router-link :to="{ name: 'BiologicoView', params: { biologicoId: cicloActividad.biologico.id } }">{{
                cicloActividad.biologico.id
              }}</router-link>
            </div>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoCicloActividad.vacuna')">Vacuna</span>
          </dt>
          <dd>
            <div v-if="cicloActividad.vacuna">
              <router-link :to="{ name: 'VacunaView', params: { vacunaId: cicloActividad.vacuna.id } }">{{
                cicloActividad.vacuna.id
              }}</router-link>
            </div>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoCicloActividad.user')">User</span>
          </dt>
          <dd>
            {{ cicloActividad.user ? cicloActividad.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="cicloActividad.id"
          :to="{ name: 'CicloActividadEdit', params: { cicloActividadId: cicloActividad.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./ciclo-actividad-details.component.ts"></script>
